module ComposableFixtures
  class FixtureSetDefinition
    attr_reader :name, :paths
    
    def self.create(name, paths)
      FixtureSetRepository.instance.register(
        name,
        new(name, paths)
      )
    end

    def each(&block)
      @paths.each(&block)
    end

    def initialize(name, paths)
      @name, @paths = name, paths
    end
  end  
end

